Nicolas Lalevée

make the test project 'retrieved-classpath' actualy configured to retrieve dependencies

ignore retrieved jars in test project

    • -0
    • +1
    /test/retrieve-root/.gitignore
fix the retreieve-var test project

    • -0
    • +1
    /test/retrieve-var/lib/.gitignore
Do not use absolute path, so it resolve properly everywhere

make the fake jars of the tests actual jars

Make the action 'Remove Ivy dependency management' work on a container too

generate the site with a proper copyright year
  1. … 22 more files in changeset.
Update copyright year
IvyDE sources is now under git
IvyDE sources is now under git; fix of the link to Jenkins
Update build dependencies to a downloadable version of Eclipse WTP

Restore the gathering of artifacts on resolve

Keep IvyDE compatible with Ivy 2.1, as stated on the doc.

    • -1
    • +1
    /org.apache.ivyde.eclipse.resolvevisualizer.feature/feature.xml
    • -1
    • +1
    /org.apache.ivyde.eclipse.resolvevisualizer/META-INF/MANIFEST.MF
First run of a migration from xooki to asciidoc

    • ?
    /site/ivy/asciidoc/images/ivy-dl-2.0.0-rc1.png
    • ?
    /site/ivy/asciidoc/history/0.5.1.adoc
    • ?
    /site/ivy/asciidoc/history/1.0-rc2.adoc
    • ?
    /site/ivy/asciidoc-template/document.html.slim
    • ?
    /site/ivy/asciidoc/images/searched.gif
    • ?
    /site/ivy/asciidoc/images/yed-step3.jpg
  1. … 142 more files in changeset.
script to migrate from html to asciidoc
    • ?
    /site/ivy/xooki2asciidoc/antlib.xml
    • ?
    /site/ivy/xooki2asciidoc/xooki2asciidoc.js
Suggest a mail template to announce a release

Update the release instruction for asciidoc documentation

detach the lastest milestone, since one is xooki based, the other is asciidoc based
  1. … 28 more files in changeset.
Release of Ivy 2.5.0-rc1
    • ?
    /site/ivy/sources/images/ivy-dl-2.5.0-rc1.png
Release of Ivy 2.5.0-rc1
  1. … 478 more files in changeset.
update the last version of the doc
  1. … 170 more files in changeset.
Prepare the version for the next release

Release of Ivy 2.5.0-rc1 in the Eclipse updatesite
Document how to properly declare the qualifier of the OSGi version

when packaging the sources, do not default-exclude, but still exclude .git folder

fix incorrect warning in the junit task when includeAntRuntime="no"

fixed by making the classloader used by checkForkedPath behave like a real forked classpath, thus completely isolated from the launching jvm

fix incorrect warning in the junit task when includeAntRuntime="no"

fixed by making the classloader used by checkForkedPath behave like a real forked classpath, thus completely isolated from the launching jvm

There is no "docs" subdirectory, just a "manual"

Update release instructions: we use git now

For the unit tests, do not depend on the version of Ant running the tests, but depend on the version declared in the ivy.xml